Bug 146365 - [patch] converts LDCONFIG_DIRS to USE_LDCONFIG
[patch] converts LDCONFIG_DIRS to USE_LDCONFIG
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 01:40 UTC by spam
Modified: 2010-06-08 21:00 UTC (History)
0 users

See Also:


Attachments
file.diff (12.49 KB, patch)
2010-05-07 01:40 UTC, spam
no flags Details | Diff
patch.txt (743 bytes, text/plain; charset=us-ascii)
2010-05-24 13:32 UTC, spam
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description spam 2010-05-07 01:40:01 UTC
Converts ports from LDCONFIG_DIRS to USE_LDCONFIG.
Remove last instance of INSTALLS_SHLIB, since solution proposed to ports/123042.
This pr must be resolved before ports/146351.

List of ports:
Mk/bsd.gnustep.mk
arabic/libitl
audio/boodler
audio/libtunepimp-old
audio/xmms-infopipe
cad/gtkwave
databases/pxlib
deskutils/kdepim3
devel/asmutils
devel/root
devel/sfslite
editors/kate-plugins
games/atlantikdesigner
games/kdegames3
lang/dylan
lang/ecl
lang/gnat
lang/squeak
lang/squeak-dev
mail/evolution
misc/compat3x
misc/kaddressbook-plugins
misc/kdeedu3
misc/kfile-plugins
misc/kicker-applets
misc/knewsticker-scripts
misc/konq-plugins
misc/ksig
misc/renamedlgplugins
multimedia/kdemultimedia3
multimedia/noatun-plugins
palm/jpilot
security/courier-authlib
sysutils/k3b
sysutils/kdeadmin3
sysutils/kmilo
textproc/lemmatizer
www/c-icap
x11/clocks-kdetoys3
x11/themes-kdeartwork3
x11/themes-phase
x11/themes-qinx
x11/toolkits-py-wxPython26

Fix: Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2010-05-07 18:41:45 UTC
Please, remove LDCONFIG_DIRS from kde ports. USE_LDCONFIG=yes is enough for 
them.

Thanks,
Max
Comment 2 Max Brazhnikov freebsd_committer 2010-05-17 08:35:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 3 dfilter freebsd_committer 2010-05-22 18:07:05 UTC
makc        2010-05-22 17:06:51 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/kdepim3    Makefile 
    editors/kate-plugins Makefile 
    games/atlantikdesigner Makefile 
    games/kdegames3      Makefile 
    misc/kaddressbook-plugins Makefile 
    misc/kdeedu3         Makefile 
    misc/kfile-plugins   Makefile 
    misc/kicker-applets  Makefile 
    misc/knewsticker-scripts Makefile 
    misc/konq-plugins    Makefile 
    misc/ksig            Makefile 
    misc/renamedlgplugins Makefile 
    multimedia/kdemultimedia3 Makefile 
    multimedia/noatun-plugins Makefile 
    sysutils/kdeadmin3   Makefile 
    sysutils/kmilo       Makefile 
    x11-clocks/kdetoys3  Makefile 
    x11-themes/kdeartwork3 Makefile 
  Log:
  Remove needless LDCONFIG_DIRS from kde@ ports.
  
  PR:             ports/146365
  Submitted by:   Alex Kozlov <spam at rm-rf.kiev.ua>
  
  Revision  Changes    Path
  1.91      +0 -1      ports/deskutils/kdepim3/Makefile
  1.29      +0 -1      ports/editors/kate-plugins/Makefile
  1.29      +0 -1      ports/games/atlantikdesigner/Makefile
  1.109     +0 -1      ports/games/kdegames3/Makefile
  1.29      +0 -1      ports/misc/kaddressbook-plugins/Makefile
  1.52      +0 -1      ports/misc/kdeedu3/Makefile
  1.29      +0 -1      ports/misc/kfile-plugins/Makefile
  1.29      +0 -1      ports/misc/kicker-applets/Makefile
  1.29      +0 -1      ports/misc/knewsticker-scripts/Makefile
  1.31      +0 -1      ports/misc/konq-plugins/Makefile
  1.32      +0 -1      ports/misc/ksig/Makefile
  1.29      +0 -1      ports/misc/renamedlgplugins/Makefile
  1.148     +0 -1      ports/multimedia/kdemultimedia3/Makefile
  1.30      +0 -1      ports/multimedia/noatun-plugins/Makefile
  1.58      +0 -1      ports/sysutils/kdeadmin3/Makefile
  1.18      +0 -1      ports/sysutils/kmilo/Makefile
  1.77      +0 -1      ports/x11-clocks/kdetoys3/Makefile
  1.61      +0 -1      ports/x11-themes/kdeartwork3/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter freebsd_committer 2010-05-23 19:07:11 UTC
makc        2010-05-23 18:06:57 UTC

  FreeBSD ports repository

  Modified files:
    arabic/libitl        Makefile 
    audio/xmms-infopipe  Makefile 
    devel/sfslite        Makefile 
    misc/compat3x        Makefile 
    textproc/lemmatizer  Makefile 
  Log:
  Convert LDCONFIG_DIRS to USE_LDCONFIG for unmaintained ports.
  
  PR:             based on ports/146365
  Submitted by:   Alex Kozlov <spam at rm-rf.kiev.ua>
  
  Revision  Changes    Path
  1.9       +1 -2      ports/arabic/libitl/Makefile
  1.14      +1 -3      ports/audio/xmms-infopipe/Makefile
  1.16      +1 -2      ports/devel/sfslite/Makefile
  1.17      +1 -2      ports/misc/compat3x/Makefile
  1.4       +1 -3      ports/textproc/lemmatizer/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dirk.meyer 2010-05-24 06:29:52 UTC
Alex Kozlov schrieb:,

> While you're here, can you please check Mk/bsd.gnustep.mk part of ports/146365?
> Thanks.

The problem in ports/123042 is NOT resolved.
http://www.freebsd.org/cgi/query-pr.cgi?pr=123042&cat=ports

The supposed patch to replace INSTALLS_SHLIB with USE_LDCONFIG=path
in bsd.gnustpe.mk will cause alomost all of 194 gnustep ports to fail.

This needs much more time to be resolved,
as neither of my solutions was accepted.

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
http://people.freebsd.org/~dinoex/errorlogs/
Comment 6 spam 2010-05-24 13:32:26 UTC
On Mon, May 24, 2010 at 07:29:52AM +0200, Dirk Meyer wrote:
> Alex Kozlov schrieb:,
> 
> > While you're here, can you please check Mk/bsd.gnustep.mk part of ports/146365?
> > Thanks.
> 
> The problem in ports/123042 is NOT resolved.
> http://www.freebsd.org/cgi/query-pr.cgi?pr=123042&cat=ports
Yes, I read 123042 and 112497. And I agree in most cases with flz@
i.e. GNUSTEP_PREFIX?=${LOCALBASE}/GNUstep is wrong, files that USE_LDCONFIG
installs must be in PREFIX and not LOCALBASE...

From my point of view the most clean solution is to add additional
prefixes to ldconfig_local_dirs(32). If you don't want to do it by hand,
do it automatically.
 
> The supposed patch to replace INSTALLS_SHLIB with USE_LDCONFIG=path
> in bsd.gnustpe.mk will cause alomost all of 194 gnustep ports to fail.
> 
> This needs much more time to be resolved,
> as neither of my solutions was accepted.
Comment 7 dfilter freebsd_committer 2010-05-30 19:14:35 UTC
dinoex      2010-05-30 18:14:21 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.gnustep.mk 
  Log:
  - convert USE_LDCONFIG
  PR:             123042,146365
  
  Revision  Changes    Path
  1.62      +2 -5      ports/Mk/bsd.gnustep.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter freebsd_committer 2010-06-08 20:41:07 UTC
makc        2010-06-08 19:40:54 UTC

  FreeBSD ports repository

  Modified files:
    mail/evolution       Makefile 
  Log:
  Convert LDCONFIG_DIRS to USE_LDCONFIG.
  
  PR:             based on ports/146365
  Submitted by:   Alex Kozlov <spam at rm-rf.kiev.ua>
  Approved by:    gnome@ (kwm@)
  
  Revision  Changes    Path
  1.183     +1 -4      ports/mail/evolution/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2010-06-08 20:47:17 UTC
makc        2010-06-08 19:47:04 UTC

  FreeBSD ports repository

  Modified files:
    devel/asmutils       Makefile 
  Log:
  Convert LDCONFIG_DIRS to USE_LDCONFIG.
  
  Remove USE_LDCONFIG actually, the port doesn't need it.
  
  PR:             based on ports/146365
  Submitted by:   Alex Kozlov <spam at rm-rf.kiev.ua>
  Approved by:    danfe@ (maintainer)
  
  Revision  Changes    Path
  1.22      +1 -2      ports/devel/asmutils/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2010-06-08 20:53:07 UTC
makc        2010-06-08 19:52:58 UTC

  FreeBSD ports repository

  Modified files:
    audio/boodler        Makefile 
    audio/libtunepimp-old Makefile 
    cad/gtkwave          Makefile 
    databases/pxlib      Makefile 
    devel/root           Makefile 
    lang/dylan           Makefile 
    lang/ecl             Makefile 
    lang/gnat            Makefile 
    lang/squeak          Makefile 
    lang/squeak-dev      Makefile 
    palm/jpilot          Makefile 
    security/courier-authlib Makefile 
    www/c-icap           Makefile 
    x11-themes/phase     Makefile 
    x11-themes/qinx      Makefile 
    x11-toolkits/py-wxPython26 Makefile 
  Log:
  Convert LDCONFIG_DIRS to USE_LDCONFIG.
  
  PR:             based on ports/146365
  Submitted by:   Alex Kozlov <spam at rm-rf.kiev.ua>
  Approved by:    maintainers timeout (two weeks)
  
  Revision  Changes    Path
  1.11      +1 -3      ports/audio/boodler/Makefile
  1.29      +0 -2      ports/audio/libtunepimp-old/Makefile
  1.31      +2 -3      ports/cad/gtkwave/Makefile
  1.14      +0 -1      ports/databases/pxlib/Makefile
  1.26      +2 -3      ports/devel/root/Makefile
  1.43      +9 -7      ports/lang/dylan/Makefile
  1.24      +1 -4      ports/lang/ecl/Makefile
  1.62      +2 -3      ports/lang/gnat/Makefile
  1.22      +1 -4      ports/lang/squeak-dev/Makefile
  1.22      +1 -4      ports/lang/squeak/Makefile
  1.68      +1 -3      ports/palm/jpilot/Makefile
  1.46      +2 -2      ports/security/courier-authlib/Makefile
  1.20      +0 -1      ports/www/c-icap/Makefile
  1.15      +1 -3      ports/x11-themes/phase/Makefile
  1.26      +1 -3      ports/x11-themes/qinx/Makefile
  1.72      +1 -3      ports/x11-toolkits/py-wxPython26/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Max Brazhnikov freebsd_committer 2010-06-08 20:53:49 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!